/* single-news.css - Single news post page related styles */

/*=====
# Hero Section (Caption)
============*/
.single-news__hero {
  width: 100%;
  background: transparent url(../images/header-eyecatch.jpg) no-repeat;
  background-position: top;
  background-size: cover;
  position: relative;
  overflow: hidden;
  height: 400px;
}

.single-news__hero-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  line-height: 1.2;
  padding-left: 24px;
  padding-right: 24px;
  color: var(--main-bg);
  font-weight: normal;
  text-shadow: 1px 1px 1px #808080;
}

.single-news__hero-title {
  font-size: 40px;
  padding-top: 8rem;
  padding-bottom: 2rem;
  width: 500px;
  margin: 0 auto;
}

.single-news__hero-title::after {
  display: block;
  content: "";
  position: absolute;
  width: 60px;
  height: 60px;
  background-image: url(../images/header-eyecatch-logo-sp.svg);
  background-size: contain;
  top: 30%;
  left: 50%;
  transform: translate(-44%, -50%);
  background-repeat: no-repeat;
}

.single-news__hero-lead {
  font-size: 18px;
  font-weight: 700;
}

@media (max-width: 767px) {
  .single-news__hero {
    height: 400px;
  }
  .single-news__hero-content {
    padding-left: 16px;
    padding-right: 16px;
  }
  .single-news__hero-lead {
    font-size: 16px;
  }
  .single-news__hero-title {
    font-size: 3rem;
    width: 320px;
    margin: 0 auto;
    position: relative;
  }
  .single-news__hero-title::after {
    display: block;
    content: "";
    position: absolute;
    width: 60px;
    height: 60px;
    background-image: url(../images/header-eyecatch-logo-sp.svg);
    background-size: contain;
    top: 38%;
    left: 34%;
    transform: translate(50%, -50%);
    background-repeat: no-repeat;
  }

  .single-news__hero-title {
    font-size: 32px;
  }
}

/*=====
# Entry Header
============*/
.single-news__entry-header {
  margin-bottom: 32px;
}

.single-news__entry-header.single-news__entry-header--news-title {
  font-size: 24px;
}

.single-news__entry-header h1 {
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 30px;
  font-weight: 600;
  line-height: 1.4;
  margin-bottom: 18px;
}

.single-news__entry-meta {
  align-items: center;
  display: flex;
  margin-bottom: 18px;
}

.single-news__entry-published,
.single-news__entry-updated {
  font-family: "メイリオ", Meiryo, "ヒラギノ角ゴシック", "Hiragino Sans",
    "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", sans-serif;
  color: #808080;
  font-size: 12px;
}

.single-news__entry-published::before,
.single-news__entry-updated::before {
  content: "\f073";
  font-family: "Font Awesome 5 Free", sans-serif;
  font-weight: 400;
  margin-right: 8px;
}

.single-news__entry-updated {
  margin-left: 27px;
}

.single-news__entry-updated::before {
  content: "\f1da";
  font-weight: 900;
}

.single-news__entry-img {
  text-align: center;
  margin-bottom: 32px;
}

.single-news__entry-img img {
  width: 100%;
  height: 350px;
  object-fit: cover;
  margin: 0 auto;
}

/*=====
# Entry Body
============*/
.single-news__entry-body {
  margin-top: 32px;
  padding-bottom: 44px;
}

.single-news__entry-body h2 + p,
.single-news__entry-body h3 + p,
.single-news__entry-body h4 + p,
.single-news__entry-body h5 + p,
.single-news__entry-body h6 + p {
  margin-top: 0;
  font-size: 1.5rem;
  font-family: "メイリオ", Meiryo, "ヒラギノ角ゴシック", "Hiragino Sans",
    "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", sans-serif;
}

.single-news__entry-body h2 {
  background: #ebebeb;
  border-radius: 3px;
  border-top: 6px solid var(--section-yellow);
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.2;
  margin-bottom: 38px;
  margin-top: 79px;
  padding: 12px 20px;
  position: relative;
  text-align: left;
}

.single-news__entry-body h2::after {
  border: 5px solid transparent;
  border-top: 15px solid #ebebeb;
  content: "";
  height: 0;
  left: 24px;
  position: absolute;
  top: 100%;
  width: 0;
}

.single-news__entry-body h3 {
  border-bottom: 3px solid var(--section-yellow);
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 22px;
  font-weight: 600;
  line-height: 1.4;
  margin-bottom: 24px;
  margin-top: 84px;
  padding-bottom: 14px;
}

.single-news__entry-body h4 {
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.6;
  margin-bottom: 16px;
  margin-top: 82px;
  padding-left: 42px;
  position: relative;
}

.single-news__entry-body h4::before {
  color: var(--section-yellow);
  content: "\f00c";
  font-family: "Font Awesome 5 Free", sans-serif;
  font-size: 26px;
  font-weight: 900;
  left: 0;
  position: absolute;
  top: -8px;
}

.single-news__entry-body h5 {
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.6;
  margin-bottom: 16px;
  margin-top: 82px;
}

.single-news__entry-body h6 {
  font-family: "HiraKakuPro-W6", "ヒラギノ角ゴ Pro W6", "Meiryo", "Meiryo",
    "Noto Sans Japanese", sans-serif;
  font-size: 16px;
  font-weight: 600;
  line-height: 1.6;
  margin-bottom: 16px;
  margin-top: 82px;
}

.single-news__entry-body p {
  font-family: "メイリオ", Meiryo, "ヒラギノ角ゴシック", "Hiragino Sans",
    "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", sans-serif;
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 32px;
}

.single-news__entry-body ul {
  margin-bottom: 32px;
  padding-left: 16px;
}

.single-news__entry-body ol {
  margin-bottom: 32px;
  padding-left: 16px;
}

.single-news__entry-body li {
  font-size: 16px;
  line-height: 1.8;
  margin-bottom: 8px;
}

.single-news__entry-body blockquote {
  background: #f8f8f8;
  border-left: 6px solid var(--section-yellow);
  margin-bottom: 32px;
  padding: 16px 20px;
}

.single-news__entry-body blockquote > :first-child {
  margin-top: 0;
}

.single-news__entry-body blockquote > :last-child {
  margin-bottom: 0;
}

.single-news__entry-body q {
  quotes: "" " " "" "'" "'";
}

.single-news__entry-body q::before {
  content: open-quote;
}

.single-news__entry-body q::after {
  content: close-quote;
}

.single-news__entry-body strong,
.single-news__entry-body b {
  font-weight: 700;
}

.single-news__entry-body a {
  color: #0066c0;
  text-decoration: underline;
  transition: all 0.3s ease 0s;
}

.single-news__entry-body a:hover {
  opacity: 0.6;
}

.single-news__entry-body img {
  max-width: 100%;
}

.single-news__entry-body div {
  font-family: "メイリオ", Meiryo, "ヒラギノ角ゴシック", "Hiragino Sans",
    "Hiragino Kaku Gothic ProN", "ヒラギノ角ゴ ProN W3", sans-serif;
  font-size: 16px;
  line-height: 1.8;
}

/*=====
# News Others (Related News)
============*/
.single-news__others {
  list-style: none;
  padding: 0;
  margin: 20px 0;
}

.single-news__others li {
  margin-bottom: 10px;
  border-bottom: 1px solid #e2e2e2;
  padding-bottom: 10px;
}

.single-news__others li:last-child {
  border-bottom: none;
}

.single-news__others li a {
  font-size: 1.4rem;
  color: #707070;
  text-decoration: none;
  transition: all 0.3s ease 0s;
}

.single-news__others li a:hover {
  color: var(--section-yellow);
}

/*=====
# Entry Class for News
============*/
.single-news__entry {
  margin-top: 0;
}

/*=====
# Responsive
============*/
@media (max-width: 768px) {
  .single-news__entry-header.single-news__entry-header--news-title {
    font-size: 20px;
  }

  .single-news__entry-header h1 {
    font-size: 24px;
  }

  .single-news__entry-published,
  .single-news__entry-updated {
    font-size: 11px;
  }

  .single-news__entry-updated {
    margin-left: 20px;
  }

  .single-news__entry-body {
    padding-bottom: 30px;
  }

  .single-news__entry-body h2 {
    font-size: 16px;
    margin-top: 60px;
    margin-bottom: 30px;
  }

  .single-news__entry-body h3 {
    font-size: 18px;
    margin-top: 60px;
    margin-bottom: 20px;
  }

  .single-news__others li a {
    font-size: 1.2rem;
  }
}
